Subject: Re: linux-next: manual merge of the tty tree with Linus' tree

From: Greg KH <[email-masked]>
Date: Tue, 10 Mar 2020 10:04:22 +0100

On Tue, Mar 10, 2020 at 02:40:13PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tty tree got a conflict in:
> 
>   drivers/tty/vt/selection.c
> 
> between commits:
> 
>   4b70dd57a15d ("vt: selection, push console lock down")
>   e8c75a30a23c ("vt: selection, push sel_lock up")
> 
> from Linus' tree and commits:
> 
>   9256d09f1da1 ("vt: selection, create struct from console selection globals")
>   bc80932cc25a ("vt: selection, indent switch-case properly")
> 
> from the tty tree.
> 
> I fixed it up (I think - see below) and can carry the fix as necessary.
> This is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thank you for this, I hadn't gotten to it yet.

Your merge looks the same as mine, and I've pushed out the merge
resolution in my tree.

Jiri, can you double-check to verify that the merge is correct in my
tree?

thanks,

greg k-h